CMD line upgrade via "sudo update"/"sudo garuda-update" no longer works

as i spend ALOT of my time in the console I typically use the "sudo update" command. I noticed yesterday tho that it stopped working right, it seems to have just stopped looking. using the
add/remove software updater did work though.

Below should be everything asked for.

╭─[email protected] in ~ via  v8.1.8 as 🧙 took 4s
╰─λ sudo update
[sudo] password for javabean:              
spawn pacman -Su
:: Starting full system upgrade...
warning: bottles: local (2022.6.14-9) is newer than chaotic-aur (2022.5.28-5)
warning: reflector-simple: local (3.2-1) is newer than garuda (2.0-1)
there is nothing to do

--> Updating AUR packages with paru..
:: Looking for AUR upgrades...
:: Looking for devel upgrades...
:: packages not in the AUR: python2-wxpython3
:: marked out of date: samba-mounter-git
:: orphans: aacskeys  samba-mounter-git
there is nothing to do

Checking for plugin updates
Nothing to install / update

System updated! 🐧
╭─[email protected] in ~ via  v8.1.8 as 🧙 took 7s
╰─λ garuda-inxi
System:
Kernel: 5.18.15-zen1-2-zen arch: x86_64 bits: 64 compiler: gcc v: 12.1.1
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=af8a89ce-dde7-4f59-9555-3606af1da2d7 rw [email protected]
quiet quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
resume=UUID=836672a1-984c-44ba-bc30-06a45a52f305 loglevel=3
Desktop: KDE Plasma v: 5.25.3 tk: Qt v: 5.15.5 info: latte-dock
wm: kwin_x11 vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Desktop Mobo: ASRock model: A520M-HDV serial: <superuser required>
UEFI: American Megatrends LLC. v: P2.10 date: 02/24/2022
CPU:
Info: model: AMD Ryzen 7 3800X bits: 64 type: MT MCP arch: Zen 2 gen: 3
built: 2020-22 process: TSMC n7 (7nm) family: 0x17 (23)
model-id: 0x71 (113) stepping: 0 microcode: 0x8701021
Topology: cpus: 1x cores: 8 tpc: 2 threads: 16 smt: enabled cache:
L1: 512 KiB desc: d-8x32 KiB; i-8x32 KiB L2: 4 MiB desc: 8x512 KiB
L3: 32 MiB desc: 2x16 MiB
Speed (MHz): avg: 3906 high: 4382 min/max: 2200/4559 boost: enabled
scaling: driver: acpi-cpufreq governor: performance cores: 1: 4124 2: 3616
3: 3692 4: 3543 5: 3600 6: 3591 7: 4382 8: 4048 9: 4016 10: 3986 11: 3794
12: 4064 13: 4289 14: 3989 15: 3693 16: 4075 bogomips: 124566
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
Vulnerabilities:
Type: itlb_multihit status: Not affected
Type: l1tf status: Not affected
Type: mds status: Not affected
Type: meltdown status: Not affected
Type: mmio_stale_data status: Not affected
Type: retbleed mitigation: untrained return thunk; SMT enabled with STIBP
protection
Type: spec_store_bypass mitigation: Speculative Store Bypass disabled via
prctl
Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer
sanitization
Type: spectre_v2 mitigation: Retpolines, IBPB: conditional, STIBP:
always-on, RSB filling
Type: srbds status: Not affected
Type: tsx_async_abort status: Not affected
Graphics:
Device-1: AMD Ellesmere [Radeon RX 470/480/570/570X/580/580X/590]
vendor: Micro-Star MSI driver: amdgpu v: kernel arch: GCN-4
code: Arctic Islands process: GF 14nm built: 2016-20 pcie: gen: 3
speed: 8 GT/s lanes: 16 ports: active: DP-3,HDMI-A-1
empty: DP-1,DP-2,DVI-D-1 bus-ID: 05:00.0 chip-ID: 1002:67df
class-ID: 0300
Display: x11 server: X.Org v: 21.1.4 with: Xwayland v: 22.1.3
compositor: kwin_x11 driver: X: loaded: amdgpu unloaded: modesetting
alternate: fbdev,vesa gpu: amdgpu display-ID: :0 screens: 1
Screen-1: 0 s-res: 3840x1080 s-dpi: 96 s-size: 1016x285mm (40.00x11.22")
s-diag: 1055mm (41.54")
Monitor-1: DP-3 mapped: DisplayPort-2 pos: primary,left
model: Samsung C32F391 serial: <filter> built: 2018 res: 1920x1080 hz: 60
dpi: 70 gamma: 1.2 size: 698x393mm (27.48x15.47") diag: 801mm (31.5")
ratio: 16:9 modes: max: 1920x1080 min: 640x480
Monitor-2: HDMI-A-1 mapped: HDMI-A-0 pos: right model: Samsung C32F391
serial: <filter> built: 2018 res: 1920x1080 hz: 60 dpi: 70 gamma: 1.2
size: 698x393mm (27.48x15.47") diag: 801mm (31.5") ratio: 16:9 modes:
max: 1920x1080 min: 640x480
OpenGL: renderer: AMD Radeon RX 570 Series (polaris10 LLVM 14.0.6 DRM
3.46 5.18.15-zen1-2-zen) v: 4.6 Mesa 22.1.4 direct render: Yes
Audio:
Device-1: AMD Ellesmere HDMI Audio [Radeon RX 470/480 / 570/580/590]
vendor: Micro-Star MSI driver: snd_hda_intel v: kernel pcie: gen: 3
speed: 8 GT/s lanes: 16 bus-ID: 05:00.1 chip-ID: 1002:aaf0 class-ID: 0403
Device-2: AMD Starship/Matisse HD Audio vendor: ASRock
driver: snd_hda_intel v: kernel pcie: gen: 4 speed: 16 GT/s lanes: 16
bus-ID: 07:00.4 chip-ID: 1022:1487 class-ID: 0403
Sound Server-1: ALSA v: k5.18.15-zen1-2-zen running: yes
Sound Server-2: PulseAudio v: 16.1 running: no
Sound Server-3: PipeWire v: 0.3.56 running: yes
Network:
Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet
vendor: ASRock driver: r8169 v: kernel pcie: gen: 1 speed: 2.5 GT/s
lanes: 1 port: f000 bus-ID: 04:00.0 chip-ID: 10ec:8168 class-ID: 0200
IF: enp4s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
IF-ID-1: br0 state: up speed: 1000 Mbps duplex: unknown mac: <filter>
Drives:
Local Storage: total: 2.29 TiB used: 996.6 GiB (42.6%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: HP model: SSD EX920 512GB
size: 476.94 GiB block-size: physical: 512 B logical: 512 B
speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter> rev: SVN139B
temp: 30.9 C scheme: GPT
ID-2: /dev/sda maj-min: 8:0 vendor: Western Digital
model: WD20EZAZ-00L9GB0 size: 1.82 TiB block-size: physical: 4096 B
logical: 512 B speed: 6.0 Gb/s type: HDD rpm: 5400 serial: <filter>
rev: 0A80 scheme: GPT
Partition:
ID-1: / raw-size: 459.54 GiB size: 459.54 GiB (100.00%) used: 49.02 GiB
(10.7%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%) used: 576 KiB
(0.2%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
ID-3: /home raw-size: 459.54 GiB size: 459.54 GiB (100.00%) used: 49.02
GiB (10.7%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
ID-4: /var/log raw-size: 459.54 GiB size: 459.54 GiB (100.00%) used: 49.02
GiB (10.7%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
ID-5: /var/tmp raw-size: 459.54 GiB size: 459.54 GiB (100.00%) used: 49.02
GiB (10.7%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 15.54 GiB used: 2.2 MiB (0.0%)
priority: 100 dev: /dev/zram0
ID-2: swap-2 type: partition size: 17.1 GiB used: 0 KiB (0.0%)
priority: -2 dev: /dev/nvme0n1p3 maj-min: 259:3
Sensors:
System Temperatures: cpu: 38.5 C mobo: N/A gpu: amdgpu temp: 54.0 C
Fan Speeds (RPM): fan-1: 1211 fan-2: 1638 fan-3: 0 fan-4: 0 fan-5: 0
gpu: amdgpu fan: 341
Info:
Processes: 360 Uptime: 58m wakeups: 0 Memory: 15.54 GiB used: 3.88 GiB
(25.0%) Init: systemd v: 251 default: graphical tool: systemctl
Compilers: gcc: 12.1.1 clang: 14.0.6 Packages: pacman: 2114 lib: 566
Shell: fish v: 3.5.1 default: Bash v: 5.1.16 running-in: konsole
inxi: 3.3.20
Garuda (2.6.5-1):
System install date:     2022-05-31
Last full system update: 2022-08-02
Is partially upgraded:   No
Relevant software:       NetworkManager
Windows dual boot:       No/Undetected
Snapshots:               Snapper
Failed units:            bluetooth-autoconnect.service
╭─[email protected] in ~ via  v8.1.8 as 🧙 took 1s
╰─λ sudo update remote fix
...
...
...

System updated! 🐧

╭─[email protected] in ~ via  v8.1.8 as 🧙 took 2m25s
╰─λ sudo update
spawn pacman -Su
:: Starting full system upgrade...
warning: bottles: local (2022.6.14-9) is newer than chaotic-aur (2022.5.28-5)
warning: reflector-simple: local (3.2-1) is newer than garuda (2.0-1)
there is nothing to do

--> Updating AUR packages with paru..
:: Looking for AUR upgrades...
:: Looking for devel upgrades...
:: packages not in the AUR: python2-wxpython3
:: marked out of date: samba-mounter-git
:: orphans: aacskeys  samba-mounter-git
there is nothing to do

Checking for plugin updates
Nothing to install / update

System updated! 🐧

and then a reboot was done and had the same error

Just update, no sudo in front.
Also use one time

sudo pacman -Syu

after that update work fine.

Read also

2 Likes
╭─[email protected] in ~ via  v8.1.8 as 🧙 took 7s
╰─λ sudo pacman -Syu
Garuda Linux is updated via the "garuda-update" command instead of pacman -Syu. https://wiki.garudalinux.org/en/garuda-update
Would you like to run "garuda-update" instead? (i = never ask again/ignore) [y/N/i] N

:: Synchronizing package databases...
garuda is up to date
core is up to date
extra is up to date
community is up to date
multilib is up to date
chaotic-aur                          1978.8 KiB  1081 KiB/s 00:02 [------------------------------------] 100%
:: Starting full system upgrade...
warning: bottles: local (2022.6.14-9) is newer than chaotic-aur (2022.5.28-5)
warning: reflector-simple: local (3.2-1) is newer than garuda (2.0-1)
there is nothing to do
╭─[email protected] in ~ via  v8.1.8 as 🧙 took 3s
╰─λ update
spawn pacman -Su
:: Starting full system upgrade...
warning: bottles: local (2022.6.14-9) is newer than chaotic-aur (2022.5.28-5)
warning: reflector-simple: local (3.2-1) is newer than garuda (2.0-1)
there is nothing to do

--> Updating AUR packages with paru..
:: Looking for AUR upgrades...
:: Looking for devel upgrades...
:: packages not in the AUR: python2-wxpython3
:: marked out of date: samba-mounter-git
:: orphans: aacskeys  samba-mounter-git
there is nothing to do

Checking for plugin updates
Nothing to install / update

System updated! 🐧

give me a bit to read your other link

All done, fine.
Thanks for editing your posts. :slight_smile:

1 Like

Did the behavior change lately? Before yesterday it would indicate that it actually downloaded and checked the pkglist for updates.

The behavior has not changed. Everything worked as expected as far as I can see. You did nothing wrong. You can run garuda-update without sudo, it will prompt for a password if needed.


You found a problem to fix. I just confirmed Chaotic is not building a new version.


We already found out this is a problem here: [Bug] FYI bottles · Issue #1616 · chaotic-aur/packages · GitHub

1 Like

Yeah, there is a bug in garuda-update now that i didn't notice because the default configuration is not affected by it.

You have the skip mirrorlist option enabled, don't you?

I'll fix it right away.

5 Likes

Fixed in garuda-update 2.5.4!

3 Likes

Thank you, after "lunch" I came back and saw your comment and then ran sudo pacman -Syu to get the updated garuda-updater. it got 2.5.5-1 and now it works both SKIPMIRRORLIST=true and without(run normally)

edit: though now that i think on it sudo pacman -Sy garuda-update should have done it as well and might be the better solution to suggest

1 Like

Btw, I have this issue but I only enabled the AUR option. Gonna check out the fix so thank you!

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.